Skip to main content
GET
/
schedules
/
{schedule_id}
/
overrides
/
{override_id}
Get a schedule override
curl --request GET \
  --url https://api.shiftkeeper.io/schedules/{schedule_id}/overrides/{override_id} \
  --header 'x-api-key: <api-key>'
{
  "override": {
    "id": "<string>",
    "start": "2023-11-07T05:31:56Z",
    "end": "2023-11-07T05:31:56Z",
    "users": [
      {
        "id": "<string>",
        "name": "<string>",
        "email": "jsmith@example.com",
        "role": "owner",
        "seat": "viewer",
        "time_zone": "<string>",
        "slack_id": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shiftkeeper.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Enter your API key which starts with 'keeper_'

Path Parameters

override_id
string
required

The ID of the override.

schedule_id
string
required

The ID of the schedule.

Response

Default Response

override
object
required
Example:
{
  "id": "ovr_i9fo8GI1YBAQhtoArC3N1",
  "start": "2024-12-01T00:00:00Z",
  "end": "2024-12-08T00:00:00Z",
  "users": [
    {
      "id": "usr_C0GwCFdk0I4pBMRny4qYV",
      "name": "Dena",
      "email": "dena@example.org",
      "role": "standard",
      "seat": "member",
      "slack_id": "U082GMAFR1T"
    }
  ]
}